Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Policy_ForwardC.h File Reference

`#include "tao/Sequence.h"`
`#include "tao/CDR.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for Policy_ForwardC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_POLICY__VAR_OUT_CH_
#define | _CORBA_POLICYLIST_CH_
#define | _CORBA_POLICYTYPESEQ_CH_
#define | _CORBA_POLICY__TRAITS_CH_
## Functions
TAO_Export void | operator<<= (CORBA::Any &, CORBA::Policy_ptr)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::Policy_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::Policy *&)
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::PolicyList &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::PolicyList *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::PolicyList *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::PolicyList *&)
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::PolicyTypeSeq &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::PolicyTypeSeq *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::PolicyTypeSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::PolicyTypeSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::SetOverrideType &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::Policy_ptr)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::Policy_ptr &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::PolicyList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::PolicyList &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::PolicyTypeSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::PolicyTypeSeq &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::SetOverrideType &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::SetOverrideType &)

## Define Documentation

#define _CORBA_POLICY__TRAITS_CH_

#define _CORBA_POLICY__VAR_OUT_CH_

#define _CORBA_POLICYLIST_CH_

#define _CORBA_POLICYTYPESEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::SetOverrideType & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::PolicyTypeSeq & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::PolicyList & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::Policy_ptr |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::PolicyTypeSeq * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::PolicyTypeSeq & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::PolicyList * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::PolicyList & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::Policy_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::Policy_ptr |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::SetOverrideType & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::PolicyTypeSeq & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::PolicyList & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::Policy_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::SetOverrideType & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::PolicyTypeSeq *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::PolicyTypeSeq *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::PolicyList *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::PolicyList *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::Policy *& |
| ) |